import React, { useEffect, useRef, useState } from "react";
import ReactToPrint from "react-to-print";
import styles from "./index.less";
import { Button } from "antd";
import IframeForRenderForm from './IframeForRenderForm';


const idsConfig = [
  {
    id: '1427569429700411392',
    name: "新生入学登记表",
    key: "xsrxdjb"
  },
  {
    id: '1427570690688548864',
    name: "新生入学报到单",
    key: "xsrxbdd"
  },
];

export default function PrintQnmz(props) {
  const componentRef = useRef();
  const [showPrint, setShowPrint] = useState(false);
  console.log(window.history);
  useEffect(() => {
    document.title = "新手报到单打印";
    setTimeout(() => {
      setShowPrint(true);
    }, 1000);
  }, []);
  return (<div>
    <div className={styles.buttonDiv}>
    {
      showPrint && <ReactToPrint
        trigger={() => <Button type={"primary"}>打印</Button>}
        content={() => componentRef.current}
      />
    }
      {
        showPrint && window.history.length > 1 &&
        <Button type={"danger"} onClick={() => {
          window.history.go(-1);
        }}>返回</Button>
      }
    </div>
    <div ref={componentRef}>
      {
        idsConfig.map((x) => {
          return (
            <div style={{minHeight: '29cm'}}>
            <IframeForRenderForm id={x.id} {...props}/>
            </div>
          );
        })
      }
    </div>
  </div>);
}
